System requirements for Qlik NPrinting Engine

This section lists the minimum hardware and software requirements for Qlik NPrinting Engine.

Qlik NPrinting Engine can be installed on both physical and virtual machines. In both configurations, virtualized applications are not supported. For example, the Qlik NPrinting Engine will not work if it is installed on a different computer from QlikView Desktop, and it is distributed as a virtualized application.

By default, only one Qlik NPrinting Engine is available for each Qlik NPrinting Server license. If you want to add additional engines to your Qlik NPrinting environment, you need to purchase them.

Requirements

These Qlik NPrinting Engine requirements are for configurations where each Qlik NPrinting component is installed on a different computer. If you install more than one component (for example, the server and the engine) on the same computer, the minimum hardware requirements increase.

  • Platforms: Only 64-bit architecture is supported.
    • Microsoft Windows Server 2008 R2 is currently only supported if connections to Qlik Sense are not required.
    • Microsoft Windows Server 2012
    • Microsoft Windows Server 2012 R2
    • Microsoft Windows Server 2016
  • Processors (CPUs): Multi-core x64 compatible processors with a minimum of two cores.
  • Memory: 2 GB is required for each core with a minimum of 4 GB of RAM in total.
    • QlikView Desktop must have enough memory to manage the QlikView documents that you use as reporting data sources.
    • According to the current workload, the Qlik NPrinting Engine can establish multiple connections to different QlikView documents and Qlik Sense apps at the same time. It is furthermore possible to establish multiple connections to the same document or app. The number of connections that you can establish depends by default on the number of cores of the Qlik NPrinting Engine machine. This can impose an higher usage of CPU or RAM than the expected one.

  • Disk space: 300 MB minimum
  • Storage: Only Windows, local or shared, storage is supported.
  • Server clocks:

    Qlik NPrinting Server and Qlik NPrinting EngineWindows server clocks must be synchronized within a tolerance of 2 seconds. A Windows server synchronizes its clock with the domain controller clock, so, if Qlik NPrinting Server and Qlik NPrinting Engine are in the same domain, clocks will be in sync. You should not manually remove this option. If you install Qlik NPrinting Server and Qlik NPrinting Engine on different Windows server domains, you must ensure that clocks are synchronized within a tolerance of 2 seconds.

  • Platform security: TLS 1.2 must be enabled.

QlikView compatibility with Qlik NPrinting

QlikView Desktop is required for QlikView connection with Qlik NPrinting and must be installed on each Qlik NPrinting Engine computer.

If using server or cluster connections, QlikView Server and QlikView Desktop must be on the same version.

The following versions of QlikView are supported for connection with Qlik NPrinting:

  • QlikView 11.20 SR15 or higher
  • QlikView 12 SR5 or higher
  • QlikView 12.10 SR1 or higher
  • QlikView November 2017 (12.20) or higher
  • QlikView November 2018 (12.30) SR1 or higher
  • QlikView April 2019 (12.40) or higher

QlikView 12 and 12 SRs are not supported for QlikView On-Demand Add-on. For more information, see: On-Demand reports.

If you are migrating from QlikView NPrinting 16 to Qlik NPrinting November 2019 or newer, you may need to upgrade your QlikView version. See: Upgrading QlikView NPrinting 16 before migration.

Qlik Sense compatibility with Qlik NPrinting

The following versions Qlik Sense are supported for connection with Qlik NPrinting:

  • Qlik Sense November 2017 or higher

No client software is required for connecting Qlik Sense with Qlik NPrinting.

Additional software installed

The following software is installed during the Qlik NPrinting Engine setup, unless it is already installed. It must not be removed:

  • PDF X-CHANGE 5.0.269
  • .NET framework: 4.6.2 or higher.

    .NET framework version 4.6.2 is installed when you install Qlik NPrinting Server, Qlik NPrinting Engine, or Qlik NPrinting Designer. The installation of .NET framework version 4.6.2 requires an active internet connection. If .NET framework version 4.6.2 or later is not already installed on a computer without an internet connection, the installation will fail. You must install the .NET framework version 4.6.2 or later on computers without and internet connection before you install Qlik NPrinting Server, Qlik NPrinting Engine, or Qlik NPrinting Designer.If an internet connection is not available on a computer with .NET framework version 4.6.2 or later already installed, the installer will skip this part of the installation.

Did this information help you?

Thanks for letting us know. Is there anything you'd like to tell us about this topic?

Can you tell us why it did not help you and how we can improve it?